<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XServiceProfile StructType
 * @subpackage Structs
 */
class XServiceProfile extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $description;
    /**
     * The isDefault
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isDefault;
    /**
     * The serviceProfileInfos
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos
     */
    public $serviceProfileInfos;
    /**
     * Constructor method for XServiceProfile
     * @uses XServiceProfile::setName()
     * @uses XServiceProfile::setDescription()
     * @uses XServiceProfile::setIsDefault()
     * @uses XServiceProfile::setServiceProfileInfos()
     * @param string $name
     * @param string $description
     * @param string $isDefault
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos $serviceProfileInfos
     */
    public function __construct($name = null, $description = null, $isDefault = null, \\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos $serviceProfileInfos = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setIsDefault($isDefault)
            ->setServiceProfileInfos($serviceProfileInfos);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XServiceProfile
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XServiceProfile
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get isDefault value
     * @return string|null
     */
    public function getIsDefault()
    {
        return $this->isDefault;
    }
    /**
     * Set isDefault value
     * @param string $isDefault
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XServiceProfile
     */
    public function setIsDefault($isDefault = null)
    {
        $this->isDefault = $isDefault;
        return $this;
    }
    /**
     * Get serviceProfileInfos value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos|null
     */
    public function getServiceProfileInfos()
    {
        return $this->serviceProfileInfos;
    }
    /**
     * Set serviceProfileInfos value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos $serviceProfileInfos
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XServiceProfile
     */
    public function setServiceProfileInfos(\\Losc\CucmBundle\Model\Webservice\StructType\ServiceProfileInfos $serviceProfileInfos = null)
    {
        $this->serviceProfileInfos = $serviceProfileInfos;
        return $this;
    }
}
